Bug 975815 - ENCRYPT_NO_ENCRYPT_TO pubkey_algo and hash_algo missing
ENCRYPT_NO_ENCRYPT_TO pubkey_algo and hash_algo missing
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: pygpgme (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Toshio Ernie Kuratomi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-19 08:10 EDT by Till Maas
Modified: 2013-09-11 21:57 EDT (History)
4 users (show)

See Also:
Fixed In Version: pygpgme-0.3-8.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-11 21:57:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Till Maas 2013-06-19 08:10:28 EDT
Description of problem:

some fields/constants from gpgme are not exposed in pygpgme. I proposed patches to upstream, but got no response for the second bug within one month. The first bug report is not that old.

https://bugs.launchpad.net/pygpgme/+bug/1192545
https://bugs.launchpad.net/pygpgme/+bug/1192545/+attachment/3707307/+files/pygpgme-no-encrypt-to.patch

https://bugs.launchpad.net/pygpgme/+bug/1002421
https://bugs.launchpad.net/pygpgme/+bug/1002421/+attachment/3676331/+files/gpgme-pubkey-hash-algo.patch

Is it possible to get these patches included into Fedora? They are pretty simple and likely to applied by upstream if it becomes responsive. Alternatively, can you maybe ping upstream, maybe you have better channels...
Comment 1 Till Maas 2013-07-03 04:54:09 EDT
What can be done to get this moving?
Comment 2 Till Maas 2013-08-19 05:24:54 EDT
ping?
Comment 3 Toshio Ernie Kuratomi 2013-08-21 13:39:41 EDT
@mitr -- hey, I don't use this at all anymore.  Are you okay if I make tyll a comaintainer on the package and he can apply the patches?
Comment 4 Miloslav Trmač 2013-08-21 13:50:38 EDT
(In reply to Toshio Ernie Kuratomi from comment #3)
> @mitr -- hey, I don't use this at all anymore.  Are you okay if I make tyll
> a comaintainer on the package and he can apply the patches?

I was hoping to leave this up to you :)  I have now approved Till as a comaintainer.

(I've also finally taken the time to look at the patches, they look fine.)
Comment 5 Fedora Update System 2013-08-22 04:24:16 EDT
pygpgme-0.3-8.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/pygpgme-0.3-8.fc19
Comment 6 Fedora Update System 2013-08-22 20:39:52 EDT
Package pygpgme-0.3-8.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pygpgme-0.3-8.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15185/pygpgme-0.3-8.fc19
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-09-11 21:57:19 EDT
pygpgme-0.3-8.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.